#include<fstream>
#include<iostream>
using namespace std;
ifstream fi("BAI3_15.inp");
ofstream fo("BAI3_15.out");
int n;
int pow(int n,int m)
{
	int u=1;
	for(int i=0;i<m;i++)  u*=n;
	return u;
}
int main()
{
	fi>>n;
	int r=0;
	while(pow(2,r)-1<n)
	{
		r++;
	}
	fo<<r-1;
	fi.close();
	fo.close();
}
